# Class ResourceCollection

java.lang.Object
java.util.AbstractCollection<Resource>
java.util.AbstractList<Resource>
java.util.ArrayList<Resource>
org.daypilot.data.ResourceCollection

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Resource>`, `Collection<Resource>`, `List<Resource>`, `RandomAccess`, `SequencedCollection<Resource>`

public class ResourceCollection extends ArrayList<Resource>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceCollection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Resource`
  `add(String name, String value)`
  `Resource`
  `findById(String value)`
  `Resource`
  `findByIndex(int index)`
  `Resource`
  `findParent(Resource resource)`
  `ResourceCollection`
  `findParentCollection(Resource resource)`
  `void`
  `restoreFromJSON(JSONArray input)`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### ResourceCollection

    public ResourceCollection()

- ## Method Details

  - ### add

    public Resource add(String name, String value)

  - ### restoreFromJSON

    public void restoreFromJSON(JSONArray input)

  - ### findByIndex

    public Resource findByIndex(int index)

  - ### findById

    public Resource findById(String value)

  - ### findParentCollection

    public ResourceCollection findParentCollection(Resource resource)

  - ### findParent

    public Resource findParent(Resource resource)